Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLTexture Class Reference

`#include <vtkOpenGLTexture.h>`

Inheritance diagram for vtkOpenGLTexture:

[legend]
Collaboration diagram for vtkOpenGLTexture:

[legend]
List of all members.

## Detailed Description

OpenGL texture map.

Date:
  2002/08/22 18:39:31

Revision:
  1.23

vtkOpenGLTexture is a concrete implementation of the abstract class vtkTexture. vtkOpenGLTexture interfaces to the OpenGL rendering library.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (43%)
  - Miller, Jim (18%)
  - Starreveld, Yves (6%)
  - Martin, Ken (5%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOpenGLTexture.cxx)`
  - .`h` (`/Rendering/vtkOpenGLTexture.h)`

Definition at line 49 of file vtkOpenGLTexture.h.

## Public Types
typedef vtkTexture | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Load (vtkRenderer *ren)
void | ReleaseGraphicsResources (vtkWindow *)
## Static Public Methods
vtkOpenGLTexture * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLTexture * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLTexture ()
| ~vtkOpenGLTexture ()
unsigned char * | ResampleToPowerOfTwo (int &xsize, int &ysize, unsigned char *dptr, int bpp)
## Protected Attributes
vtkTimeStamp | LoadTime
long | Index
vtkRenderWindow * | RenderWindow

## Member Typedef Documentation

typedef vtkTexture vtkOpenGLTexture::Superclass

| Reimplemented from vtkTexture. Definition at line 53 of file vtkOpenGLTexture.h.

## Constructor & Destructor Documentation

vtkOpenGLTexture::vtkOpenGLTexture | ( |  | ) | `[protected]`

vtkOpenGLTexture::~vtkOpenGLTexture | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLTexture* vtkOpenGLTexture::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkTexture.

virtual const char* vtkOpenGLTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkTexture.

int vtkOpenGLTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTexture.

virtual int vtkOpenGLTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkTexture.

vtkOpenGLTexture* vtkOpenGLTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkTexture.

virtual void vtkOpenGLTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkTexture.

void vtkOpenGLTexture::Load | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkTexture.

void vtkOpenGLTexture::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported. Reimplemented from vtkTexture.

unsigned char* vtkOpenGLTexture::ResampleToPowerOfTwo | ( | int & | xsize,
|  | int & | ysize,
|  | unsigned char * | dptr,
|  | int | bpp
| ) | `[protected]`

## Member Data Documentation

vtkTimeStamp vtkOpenGLTexture::LoadTime`[protected]`

| Definition at line 72 of file vtkOpenGLTexture.h.

long vtkOpenGLTexture::Index`[protected]`

| Definition at line 73 of file vtkOpenGLTexture.h.

vtkRenderWindow* vtkOpenGLTexture::RenderWindow`[protected]`

| Definition at line 74 of file vtkOpenGLTexture.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLTexture.h